Skip to content
Start here

Get Pipeline Details

client.pipelines.getV1(stringpipelineId, PipelineGetV1Params { account_id } params, RequestOptionsoptions?): PipelineGetV1Response { id, created_at, modified_at, 5 more }
GET/accounts/{account_id}/pipelines/v1/pipelines/{pipeline_id}

Get Pipelines Details.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines WritePipelines Read
ParametersExpand Collapse
pipelineId: string

Specifies the public ID of the pipeline.

maxLength32
minLength32
params: PipelineGetV1Params { account_id }
account_id: string

Specifies the public ID of the account.

ReturnsExpand Collapse
PipelineGetV1Response { id, created_at, modified_at, 5 more }
id: string

Indicates a unique identifier for this pipeline.

created_at: string
modified_at: string
name: string

Indicates the name of the Pipeline.

maxLength128
minLength1
sql: string

Specifies SQL for the Pipeline processing flow.

status: string

Indicates the current status of the Pipeline.

tables: Array<Table>

List of streams and sinks used by this pipeline.

id: string

Unique identifier for the connection (stream or sink).

latest: number

Latest available version of the connection.

name: string

Name of the connection.

maxLength128
minLength1
type: "stream" | "sink"

Type of the connection.

One of the following:
"stream"
"sink"
version: number

Current version of the connection used by this pipeline.

failure_reason?: string

Indicates the reason for the failure of the Pipeline.

Get Pipeline Details

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.pipelines.getV1('043e105f4ecef8ad9ca31a8372d0c353', {
  account_id: '0123105f4ecef8ad9ca31a8372d0c353',
});

console.log(response.id);
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status",
    "tables": [
      {
        "id": "1c9200d5872c018bb34e93e2cd8a438e",
        "latest": 5,
        "name": "my_table",
        "type": "stream",
        "version": 4
      }
    ],
    "failure_reason": "failure_reason"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status",
    "tables": [
      {
        "id": "1c9200d5872c018bb34e93e2cd8a438e",
        "latest": 5,
        "name": "my_table",
        "type": "stream",
        "version": 4
      }
    ],
    "failure_reason": "failure_reason"
  },
  "success": true
}